# $Id: smeserver-htbwshaper-1.0.spec,v 1.4 2009/03/02 23:31:05 dungog Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-htbwshaper
%define version 1.0
%define release 4
Summary: Install management web console for HTBwondershaper
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
Requires: e-smith-base

%description
SME Server admin interface for HTBwondershaper

%changelog
* Sat Feb 28 2009 Stephen Noble <support@dungog.net> - 1.0-4
- add masq restart [SME 5005]
- bump version number to build on contribs

* Sat Feb 28 2009 Stephen Noble <support@dungog.net> - 1.0-2
- rebuild closer to SME standards [SME 5005]

* Thu Feb 05 2009 ASPerience <contact@asperience.fr> [ 0.1.0-ASP_1]
- Release 0.1.0-ASP_1
- create rpm for smeserver-htbwshaper 

%prep
%setup

%build
perl createlinks

mkdir -p root/etc/e-smith/events/local	
ln -s /etc/htbwshaper root/etc/e-smith/events/local/S80htbwshaper

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post
%preun
%postun

